Bug 1913290

Summary: Settings "Content" page disappeared after setting the http-proxy.
Product: Red Hat Satellite Reporter: Devendra Singh <desingh>
Component: SettingsAssignee: Ondřej Pražák <oprazak>
Status: CLOSED ERRATA QA Contact: Devendra Singh <desingh>
Severity: high Docs Contact:
Priority: unspecified    
Version: 6.9.0CC: apatel, egolov, gpayelka, jpathan, mhulan, tbrisker
Target Milestone: 6.9.0Keywords: Regression, Triaged
Target Release: Unused   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: foreman-2.3.1.4-1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-21 13:25:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Devendra Singh 2021-01-06 13:09:14 UTC
Description of problem: Settings "Content" page disappeared after setting the http-proxy.


Version-Release number of selected component (if applicable):
6.9 Snap7

How reproducible:
always

Steps to Reproduce:
1. Install new satellite
2. Configure http-proxy.
3. Go to Administrator-->Settings--> Content and select the Default HTTP Proxy.
4. Refresh the page
5- Administrator-->Settings--> Content page get disappeared 

Actual results:
Settings content page disappeared.

Expected results:
Settings content page should not be disappeared. 

Additional info:

Comment 2 Tomer Brisker 2021-01-11 06:06:14 UTC
Created redmine issue https://projects.theforeman.org/issues/31603 from this bug

Comment 3 Bryan Kearney 2021-01-11 14:28:12 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 4 Bryan Kearney 2021-01-11 14:28:14 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 Bryan Kearney 2021-01-13 13:27:35 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31603 has been resolved.

Comment 6 Justin Sherrill 2021-01-25 18:09:08 UTC
*** Bug 1919562 has been marked as a duplicate of this bug. ***

Comment 8 Devendra Singh 2021-01-29 08:41:22 UTC
Verified on 6.9 Snap 11.

Verification points:

1: Install the satellite with the latest snap 6.9 Snap 11.
2: Go To Infrastructure--> Http-proxies --> create new http proxy.
3- Go to Administer-> Settings -> Content -> Click on "Default HTTP Proxy" -> Set new created proxy
4- Reload the page, the "Default HTTP Proxy" gets changed with the new created proxy.

5- The content page Administer-> Settings -> Content didn't disappear after changing the proxy.
6- Verified the foreman package

# rpm -qa|grep foreman-2.3.1.4-1
foreman-2.3.1.4-1.el7sat.noarch

Comment 11 errata-xmlrpc 2021-04-21 13:25:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313